Subject: Re: [RFC PATCH v3 net-next] Documentation: devlink: Add devlink-sd

From: Jakub Kicinski <[email-masked]>
Date: Wed, 31 Jan 2024 15:17:26 -0800

On Wed, 31 Jan 2024 15:02:58 -0800 William Tu wrote:
> > I just did a grep on METADATA_HW_PORT_MUX and assumed bnxt, ice and nfp
> > all do buffer sharing. You're saying you mux Tx queues but not Rx
> > queues? Or I need to actually read the code instead of grepping? :)
> 
> I guess bnxt, ice, nfp are doing tx buffer sharing?

I'm not familiar with ice. I'm 90% sure bnxt shares both Rx and Tx.
I'm 99.9% sure nfp does.

It'd be great if you could do the due diligence rather than guessing
given that you're proposing uAPI extension :(

> This devlink sd is for RX queues not TX queues.
> 
> And devlink-sd creates a pool of shared descriptors only for RX queue.
> 
> The TX queues/ TX path remain unchanged.